Bug 55746 - Hostname setting problems
Hostname setting problems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-05 18:13 EST by Alan Cox
Modified: 2008-05-01 11:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-03 05:22:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2001-11-05 18:13:40 EST
Changing the hostname doesn't dynamically update the hostname in
the kernel (ie sethostname, utsname etc). A reboot is needed
Comment 1 Phil Knirsch 2001-11-06 10:34:22 EST
This is expected behaviour. You need to restart the networking if you change the
hostname.

Read ya, Phil
Comment 2 Alan Cox 2001-11-06 10:40:45 EST
Can I ask for a change then. This confused me and the person I was with. 

I've updated it to RFE - please stick up a "do you wish to restart networking"
dialog and do so if they say yes
Comment 3 Phil Knirsch 2001-11-06 10:57:15 EST
OK, noted as RFE. What we might actually go for is a dialog after changing the
setup which asks if a restart of the network is wanted. Only doing a hostname
change is not reasonable.

Read ya, Phil
Comment 4 Harald Hoyer 2002-04-03 05:22:47 EST
should be fixed in >=0.9.22
Comment 5 Jay Turner 2002-08-14 14:53:21 EDT
Fix confirmed in the current tree.

Note You need to log in before you can comment on or make changes to this bug.